#
# spec file for package rubygem-arel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-arel
Version:        9.0.0
Release:        2.26
%define mod_name arel
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby22 ruby23 ruby24 ruby25
%define rb_default_ruby_abi ruby:2.2.0 ruby:2.3.0 ruby:2.4.0 ruby:2.5.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/rails/arel
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Arel Really Exasperates Logicians
License:        MIT
Group:          Development/Languages/Ruby

%description
Arel Really Exasperates Logicians
Arel is a SQL AST manager for Ruby. It
1. Simplifies the generation of complex SQL queries
2. Adapts to various RDBMSes
It is intended to be a framework framework; that is, you can build your own
ORM
with it, focusing on innovative object and collection modeling as opposed to
database compatibility and query generation.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Apr 16 2018 mschnitzer@suse.com
- fix package build
* Sun Dec  3 2017 coolo@suse.com
- updated to version 9.0.0
  see installed History.txt
  === 9.0.0 / 2017-11-14
  * Enhancements
  * `InsertManager#insert` is now chainable
  * Support multiple inserts
* Wed Feb 22 2017 coolo@suse.com
- updated to version 8.0.0
  see installed History.txt
* Sat Oct 29 2016 coolo@suse.com
- updated to version 7.1.4
  see installed History.txt
  === 7.1.4 / 2016-10-10
  * bug fixes
  * Remove deprecated usage inside arel.
* Sat Oct  8 2016 coolo@suse.com
- updated to version 7.1.3
  see installed History.txt
  === 7.1.3 / 2016-10-07
  * bug fixes
  * Remove union mapping as :binary node when performing DepthFirst enumeration
  * Fix invalid BindParam output in Dot visitor
  * Add Arel::Nodes::Casted to dot visitor
  * Use Arel::Nodes::BindParam in Oracle visitor for queries using both LIMIT and OFFSET
* Wed Sep 14 2016 coolo@suse.com
- updated to version 7.1.2
  see installed History.txt
  === 7.1.2 / 2016-09-13
  * bug fixes
  * Don't store all aliases to a table
* Thu Jul 28 2016 coolo@suse.com
- updated to version 7.1.1
  see installed History.txt
  === 7.1.1 / 2016-07-27
  * Bug Fixes
  * Fix warning in `Casted#hash`
* Wed Jul 20 2016 coolo@suse.com
- updated to version 7.1.0
  see installed History.txt
  === 7.1.0 / 2016-07-19
  * Enhancements
  * Support Ruby 2.4 unified Integer class
  * Implement `CASE` conditional expression
  * Support for Bitwise Operations as `InfixOperations`
* Fri Dec 18 2015 coolo@suse.com
- updated to version 7.0.0
  see installed History.txt
* Wed Aug  5 2015 coolo@suse.com
- updated to version 6.0.3
  see installed History.txt
* Wed Jul 15 2015 coolo@suse.com
- updated to version 6.0.2
  see installed History.txt
  === 6.0.2 / 2014-07-11
  * Bug fixes
  * Fix file permission problem on the gem package
* Sat Jul 11 2015 coolo@suse.com
- updated to version 6.0.1
  see installed History.txt
  === 6.0.1 / 2014-07-10
  * Bug fixes
  * Stop quoting LIMIT values.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 6.0.0
  * Enhancements
  * Remove deprecated `Arel::Expression`
  * Remove deprecated `Arel::SqlLiteral`
  * Remove deprecated `SelectManager#joins`
  * Remove deprecated `SelectManager#to_a`
  * Remove deprecated `Arel::Sql::Engine`
  * Remove deprecated `Arel::InnerJoin` constant
  * Remove deprecated `Arel::OuterJoin` constant
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Apr 21 2014 coolo@suse.com
- updated to version 5.0.1.20140414130214
  * Bug Fixes
  * Fix `SqlLiteral` YAML serialization
  * PostgreSQL bugfix for invalid SQL in subqueries
* Mon Dec  9 2013 coolo@suse.com
- updated to version 5.0.0
  * Enhancements
  * Remove deprecated code
  * Bug Fixes
  * Fix serializing a relation when calling `to_yaml`
* Thu Oct 31 2013 coolo@suse.com
- updated to version 4.0.1
  * Enhancements
  * Cache visitor dispatch on a per-visitor basis
  * Improve performance of #uniq across a large number of nodes
  * Bug Fixes
  * Make visitors threadsafe by removing @last_column
  * Support `columns_for_distinct` with Oracle adapter
* Sat Apr 20 2013 coolo@suse.com
- updated to version 4.0.0, preparation for rails 4
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide correct dependencies
* Mon Apr  2 2012 coolo@suse.com
- update to 3.0.2 - smaller fixes
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan 26 2012 mrueckert@suse.de
- initial package of the 3.0 branch
